> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /zoopla/properties

> Get full Zoopla property listing details by listing id (or listing URL): display address, price, bedrooms, bathrooms, reception rooms, floor area, property type, tenure, council tax band, EPC rating, full description, features, highlights, tags, photos, floor plans, videos, coordinates, nearest stations and the selling/letting agent branch.

**Price:** 1 credit

**⚠️ Common errors:** 412: Listing not found, expired or removed (well-formed but nonexistent/withdrawn listing id)



## OpenAPI

````yaml /openapi/real-estate.json post /api/zoopla/properties
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/zoopla/properties:
    post:
      tags:
        - /zoopla
      summary: /zoopla/properties
      description: >-
        Get full Zoopla property listing details by listing id (or listing URL):
        display address, price, bedrooms, bathrooms, reception rooms, floor
        area, property type, tenure, council tax band, EPC rating, full
        description, features, highlights, tags, photos, floor plans, videos,
        coordinates, nearest stations and the selling/letting agent branch.


        **Price:** 1 credit


        **⚠️ Common errors:** 412: Listing not found, expired or removed
        (well-formed but nonexistent/withdrawn listing id)
      operationId: __api_zoopla_properties_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ZooplaPropertiesPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ZooplaProperty'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ZooplaPropertiesPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        listing:
          type: string
          minLength: 1
      type: object
      required:
        - listing
    ZooplaProperty:
      properties:
        '@type':
          type: string
          default: ZooplaProperty
        id:
          type: string
        url:
          anyOf:
            - type: string
            - type: 'null'
        display_address:
          anyOf:
            - type: string
            - type: 'null'
        section:
          anyOf:
            - type: string
            - type: 'null'
        property_type:
          anyOf:
            - type: string
            - type: 'null'
        category:
          anyOf:
            - type: string
            - type: 'null'
        tenure:
          anyOf:
            - type: string
            - type: 'null'
        furnishing:
          anyOf:
            - type: string
            - type: 'null'
        listing_status:
          anyOf:
            - type: string
            - type: 'null'
        published_at:
          anyOf:
            - type: string
            - type: 'null'
        price:
          anyOf:
            - type: integer
            - type: 'null'
        price_label:
          anyOf:
            - type: string
            - type: 'null'
        price_min:
          anyOf:
            - type: integer
            - type: 'null'
        price_max:
          anyOf:
            - type: integer
            - type: 'null'
        price_qualifier:
          anyOf:
            - type: string
            - type: 'null'
        price_per_sqft_label:
          anyOf:
            - type: string
            - type: 'null'
        currency:
          anyOf:
            - type: string
            - type: 'null'
        is_auction:
          anyOf:
            - type: boolean
            - type: 'null'
        bedroom_count:
          anyOf:
            - type: integer
            - type: 'null'
        bathroom_count:
          anyOf:
            - type: integer
            - type: 'null'
        living_room_count:
          anyOf:
            - type: integer
            - type: 'null'
        size_sqft:
          anyOf:
            - type: integer
            - type: 'null'
        epc_rating:
          anyOf:
            - type: string
            - type: 'null'
        council_tax_band:
          anyOf:
            - type: string
            - type: 'null'
        chain_free:
          anyOf:
            - type: boolean
            - type: 'null'
        is_shared_ownership:
          anyOf:
            - type: boolean
            - type: 'null'
        is_retirement_home:
          anyOf:
            - type: boolean
            - type: 'null'
        postcode:
          anyOf:
            - type: string
            - type: 'null'
        street_name:
          anyOf:
            - type: string
            - type: 'null'
        property_number:
          anyOf:
            - type: string
            - type: 'null'
        uprn:
          anyOf:
            - type: string
            - type: 'null'
        region:
          anyOf:
            - type: string
            - type: 'null'
        outcode:
          anyOf:
            - type: string
            - type: 'null'
        coordinates:
          anyOf:
            - $ref: '#/components/schemas/ZooplaCoordinates'
            - type: 'null'
        features:
          items:
            type: string
          type: array
          default: []
        highlights:
          items:
            type: string
          type: array
          default: []
        tags:
          items:
            type: string
          type: array
          default: []
        images:
          items:
            type: string
          type: array
          default: []
        floor_plans:
          items:
            type: string
          type: array
          default: []
        videos:
          items:
            type: string
          type: array
          default: []
        nearest_stations:
          items:
            $ref: '#/components/schemas/ZooplaNearestStation'
          type: array
          default: []
        agent:
          anyOf:
            - $ref: '#/components/schemas/ZooplaPropertyAgent'
            - type: 'null'
      type: object
      required:
        - id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    ZooplaCoordinates:
      properties:
        '@type':
          type: string
          default: ZooplaCoordinates
        latitude:
          anyOf:
            - type: number
            - type: 'null'
        longitude:
          anyOf:
            - type: number
            - type: 'null'
      type: object
    ZooplaNearestStation:
      properties:
        '@type':
          type: string
          default: ZooplaNearestStation
        name:
          type: string
        distance_miles:
          anyOf:
            - type: number
            - type: 'null'
      type: object
      required:
        - name
    ZooplaPropertyAgent:
      properties:
        '@type':
          type: string
          default: ZooplaPropertyAgent
        id:
          anyOf:
            - type: string
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        phone:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
        is_developer:
          anyOf:
            - type: boolean
            - type: 'null'
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````